package com.supervision.chat.client;

import com.supervision.chat.client.dto.CreateBaseDTO;
import com.supervision.chat.client.dto.LangChainChatRes;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.service.annotation.HttpExchange;
import org.springframework.web.service.annotation.PostExchange;

@HttpExchange
public interface LangChainChatService {

    @PostExchange(url = "create_knowledge_base", contentType = "application/json")
    void chat(@RequestBody CreateBaseDTO createBaseDTO);

    @PostExchange(url = "chat/test/testPost", contentType = "application/json")
    LangChainChatRes test(@RequestBody CreateBaseDTO createBaseDTO);


}
